<?php
namespace CakeProducts\Model\Enum;

use Cake\Database\Type\EnumLabelInterface;
use Tools\Model\Enum\EnumOptionsTrait;

enum ProductCategoryVariantTypeId: int implements EnumLabelInterface
{
    use EnumOptionsTrait;

    case AutoAdd = 1;
    case ManualAdd = 2;

    public function label(): string
    {
        return match($this) {
            self::AutoAdd => 'All Variant Combinations Created Automatically',
            self::ManualAdd => 'Variants Manually Managed',
        };
    }
}
